Plot HomeDocumentation
Task templates

List Task Templates

Retrieves visible task templates with optional filters

GET
/v1/task-templates

Retrieves visible task templates with optional filters

Query Parameters

areaId?string

Filter by area ID

scopeId?string

Filter by template scope ID

projectId?string

Filter by project ID

includeDeleted?string

Include soft-deleted task templates

limit?integer

Number of results to return (max 100)

Response Body

application/json

curl -X GET "https://example.com/v1/task-templates"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "publicId": "string",      "name": "string",      "description": {        "html": "string"      },      "priority": true,      "visibility": "private",      "statusId": "string",      "statusStage": "string",      "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",      "scopeType": "project_template",      "scopeId": "65fafe40-a220-4dd7-8724-4598b81c0643",      "parentTaskTemplateId": "6a144507-1c43-438a-8843-eee3f5cfed1b",      "dueDate": "string",      "startDate": "string",      "relativeDateCount": 0,      "relativeDateUnit": "days",      "relativeDateDirection": "before",      "relativeDateEventType": "project_created",      "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",      "createdAt": "string",      "updatedAt": "string",      "deletedAt": "string",      "labels": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "color": "string"        }      ],      "area": {        "id": "string",        "name": "string",        "publicId": "str"      }    }  ]}